> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/implementation-guides/allergy-implementation-guide/5-implementation-considerations/5.3-terminology-services.md).

# Terminology Services

The recommended approach for implementing SNOMED CT in clinical systems is using standard Terminology Services. HL7 FHIR provides the [CodeSystem](https://build.fhir.org/codesystem.html), [Valuesets](https://build.fhir.org/valueset.html), and [ConceptMaps](https://build.fhir.org/conceptmap.html) resources and their corresponding operations to support access to terminologies using a standardized approach.

These are some examples of how FHIR Terminology services can be used to resolve the terminology bindings described in this guide. using a demo FHIR terminology server:

| FHIR element                                                    | FHIR Terminology Services Expand Operation                                                                               |
| --------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| <p>AllergyIntolerance.code</p><p><br></p><p><br></p><p><br></p> | <p>If recording is based on substances and products and specifies the type of reaction in "type":</p><p><<105590001</p>  |
| AllergyIntolerance.code                                         | <p>If recording is based on finding concepts precoordinating the type of reaction :</p><p><<418038007</p>                |
| AllergyIntolerance.code                                         | <p>When using precoordinated Situation concepts to represent the absence of an allergic propensity</p><p><<716186003</p> |
| AllergyIntolerance. reaction.substance                          | <<105590001                                                                                                              |
| AllergyIntolerance. reaction.manifestation                      | <<404684003                                                                                                              |
| AllergyIntolerance. reaction.exposureRoute                      | <<284009009                                                                                                              |

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=Allergy+IG&#x26;entry.670899847=Terminology%20Services" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.snomed.org/implementation-guides/allergy-implementation-guide/5-implementation-considerations/5.3-terminology-services.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
